org.eclipse.emf.cdo.transfer.ui

## Class TransferDragListener

- java.lang.Object
- - org.eclipse.swt.dnd.DragSourceAdapter
  - - org.eclipse.net4j.util.ui.dnd.DNDDragListener<Object>
    - - org.eclipse.emf.cdo.transfer.ui.TransferDragListener

- All Implemented Interfaces:
    EventListener, DragSourceListener, org.eclipse.swt.internal.SWTEventListener

      public class TransferDragListener
      extends DNDDragListener<Object>

  A `drag listener` that can `support` a `viewer` to create and perform `transfers` of the dragged elements to target `elements`.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TransferDragListener(StructuredViewer viewer)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dragFinished(DragSourceEvent event)`
    `protected IManagedContainer` | `getContainer()`
    `protected Object` | `getObject(IStructuredSelection selection)`
    `protected TransferUIProvider[]` | `getUIProviders()`
    `static TransferDragListener` | `support(StructuredViewer viewer)`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.dnd.DNDDragListener

      `dragSetData, dragStart, getTransfers, getViewer, setTransfers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransferDragListener

          protected TransferDragListener(StructuredViewer viewer)

  - ### Method Detail

    - #### getContainer

          protected IManagedContainer getContainer()

    - #### getUIProviders

          protected TransferUIProvider[] getUIProviders()

    - #### getObject

          protected Object getObject(IStructuredSelection selection)

      Specified by:
        `getObject` in class `DNDDragListener<Object>`

    - #### dragFinished

          public void dragFinished(DragSourceEvent event)

      Specified by:
        `dragFinished` in interface `DragSourceListener`
      Overrides:
        `dragFinished` in class `DragSourceAdapter`

    - #### support

          public static TransferDragListener support(StructuredViewer viewer)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html